package com.rv.share.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.util.List;

public class IncomeRecordsBean extends BaseBean {
    private boolean rel;
    private IncomeRecordData data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public IncomeRecordData getData() {
        return data;
    }

    public void setData(IncomeRecordData data) {
        this.data = data;
    }

    public static class IncomeRecordData {
        private int id;
        private long crtTime;
        private long updTime;
        private String name;
        private String descr;
        private String value;
        private int progress;
        private int type;
        private String code;
        private List<IncomeItem> items;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public long getUpdTime() {
            return updTime;
        }

        public void setUpdTime(long updTime) {
            this.updTime = updTime;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getDescr() {
            return descr;
        }

        public void setDescr(String descr) {
            this.descr = descr;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }

        public int getProgress() {
            return progress;
        }

        public void setProgress(int progress) {
            this.progress = progress;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public List<IncomeItem> getItems() {
            return items;
        }

        public void setItems(List<IncomeItem> items) {
            this.items = items;
        }
    }

    public static class IncomeItem {
        private int id;
        private long crtTime;
        private long updTime;
        private String name;
        private String descr;
        private int popularizeId;
        private int progress;
        private int type;
        private int sort;
        private int status;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public long getUpdTime() {
            return updTime;
        }

        public void setUpdTime(long updTime) {
            this.updTime = updTime;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getDescr() {
            return descr;
        }

        public void setDescr(String descr) {
            this.descr = descr;
        }

        public int getPopularizeId() {
            return popularizeId;
        }

        public void setPopularizeId(int popularizeId) {
            this.popularizeId = popularizeId;
        }

        public int getProgress() {
            return progress;
        }

        public void setProgress(int progress) {
            this.progress = progress;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public int getSort() {
            return sort;
        }

        public void setSort(int sort) {
            this.sort = sort;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }
    }
}
